@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';



$selsync__content--border: $boxes--border__thin solid $grey__light--1100;
$selsync__content-delimiter--border: ($boxes--border__medium + $boxes--border__thin) solid $grey__default--1000;
$selsync__content-bp-m--width: 1024px;
$selsync__content-bp-s--width: 620px;
$selsync__footer--height: 60px;
$selsync__footer-bp-s--height: 120px;
$selsync__content--padding-bottom: $selsync__footer--height;
$selsync__content-bp-s--padding-bottom: $selsync__footer-bp-s--height;

$selsync__tree--overflow-y: auto;
$selsync__tree--padding-left: $container-spacing-default_two-thirds;

$selsync__tree-filter--height: 40px;
$selsync__tree-filter--margin: $container-spacing-default__half 0 $container-spacing-default__semi-third;
$selsync__tree-bp-m--height: calc(100% - #{$selsync__tree-filter--height + nth($selsync__tree-filter--margin, 1) + nth($selsync__tree-filter--margin, 3)});

$selsync__tree-cell--height: 50px;
$selsync__tree-cell--bg-color: $blue__light--100;
$selsync__tree-cell--border: $boxes--border__thin solid $grey__light--1100;
$selsync__space--width: 24px;
$selsync__tree-item--padding: 2px $container-spacing-default__half 2px 2px;
$selsync__tree-cell-content--width: 100%;
$selsync__tree-cell--line-height: $font-size__base;

$selsync__tree-attribute-container-first-level--padding-left: 24px;

$selsync__tree-checkbox--bg-size: 18px;
$selsync__tree-checkbox--bg-position: center;
$selsync__tree-checkbox--bg-repeat: no-repeat;

$selsync__tree-checkbox-grey--bg-color: $grey__light--700;
$selsync__tree-checkbox-grey--bg-image: url(images/icon_partcialincluded.png);
$selsync__tree-checkbox-grey--border-color: $grey__light--700;

$selsync__tree-checkbox-disabled--bg-color: $grey__default--600;

$selsync__tree-checkbox-red--bg-color: $red__default--100;
$selsync__tree-checkbox-red--bg-image: url(images/icon_notincluded.png);
$selsync__tree-checkbox-red--border-color: $selsync__tree-checkbox-red--bg-color;

$selsync__tree-label--margin-bottom: 0;
$selsync__tree-label--max-width: 100%;
$selsync__tree-label--overflow: hidden;
$selsync__tree-label--text-overflow: ellipsis;
$selsync__tree-label--display: inline;
$selsync__tree-label--color: black;
$selsync__tree-label--font-size: $font-size__small;
$selsync__tree-label--line-height: $font-size__small;

$selsync__tree-label-category--font-weight: bold;
$selsync__tree-label-category--font-size: $font-size__base;

$selsync__tree-icon-attribute--position: absolute;

$selsync__tree-icon-attribute--top: 50%;
$selsync__tree-icon-attribute--size: 23px;
$selsync__tree-icon-attribute--margin-top: (ceil($selsync__tree-icon-attribute--size/2) * -1);
$selsync__tree-icon-attribute--left: $selsync__tree-icon-attribute--size * -1;

$selsync__tree-icon-attribute--bg: url(images/icon_attribute.png) center no-repeat;

$selsync__tree-checkbox-container--display: inline-block;
$selsync__tree-checkbox-container--height: 25px;
$selsync__tree-checkbox-container--width: $selsync__tree-checkbox-container--height + 7px;

$selsync__tree-label-container--display: inline-block;
$selsync__tree-label-container--max-width: calc(100% - 50px);
$selsync__tree-label-container--white-space: nowrap;


$selsync__tree-bp-m--width: 70%;

$selsync__tree--border-top: $selsync__content--border;

$selsync__navigation-bar-button--height: $editor-defaults__inline-box--height;
$selsync__navigation-bar-button--margin-top: 5px;
$selsync__navigation-bar-button--margin-x: 5px;
$selsync__navigation-bar-cancel-button-container--bg-color: rgba($white, 0.8);

$selsync__details--padding: $container-spacing-default__half 0 $container-spacing-default__base $container-spacing-default_two-thirds;

$selsync__details-label--font-weight: bold;
$selsync__details-label--color: $black;
$selsync__details-label--margin-bottom: 40px;
$selsync__details-item--margin: 0 5px;
$selsync__details-checkbox--padding-left: 6px;
$selsync__details-checkbox--line-height: 28px;
$selsync__details-checkbox--min-height: $selsync__details-checkbox--line-height;

$selsync__filter--padding: 0 $selsync__tree--padding-left;

$selsync__filter-popup--width: 260px;
$selsync__filter-popup--margin-top: 7px;
$selsync__filter-popup--margin-left: $container-spacing-default__half * -1;
$selsync__filter-popup--padding: $container-spacing-default__third;

$selsync__filter-popup-item-content--margin: 0 5px;
$selsync__filter-popup-item--line-height: $font-size__large;
$selsync__filter-popup-item--padding: floor(($editor-defaults__inline-box--height - $selsync__filter-popup-item--line-height)/2) $container-spacing-default__third ceil(($editor-defaults__inline-box--height - $selsync__filter-popup-item--line-height)/2);
$selsync__filter-popup-item--border-top: $boxes--border__thin solid $grey__light--1100;
$selsync__filter-search--width: calc(100% - 50px);
$selsync__filter-search--margin-right: $container-spacing-default__third;

$selsync__filter-popup-button--size: $editor-defaults__inline-box--height;
$selsync__filter-popup-button--bg-color: $white;
$selsync__filter-popup-button--border: $boxes--border__thin solid $grey__default--900;
$selsync__filter-popup-button--bg-image: url(images/icon_filter.svg);
$selsync__filter-popup-button--bg-size: 18px;
$selsync__filter-popup-button--bg-position: center;
$selsync__filter-popup-button--text-indent: -9999px;
$selsync__filter-popup-button--white-space: nowrap;

$selsync__filter-popup-button-hover-focus--bg-color: $white;
$selsync__filter-popup-button-hover-focus--bg-size: $selsync__filter-popup-button--bg-size;
$selsync__filter-popup-button-hover-focus--bg-position: center;
$selsync__filter-popup-button-hover-focus--bg-repeat: no-repeat;

$selsync__filter-popup-button-hover--border: $boxes--border__thin solid $grey__default--900;
$selsync__filter-popup-button-hover--bg-image: url(images/icon_filter_hover.svg);

$selsync__filter-popup-button-focus--border: $boxes--border__thin solid $blue__default;
$selsync__filter-popup-button-focus--bg-image: url(images/icon_filter_active.svg);

$selsync__legend-content--margin-bottom: $selsync__navigation-bar-button--margin-top;

$selsync__legend-item--line-height: 24px;
$selsync__legend--padding: floor(($selsync__navigation-bar-button--height - $selsync__legend-item--line-height)/2) 0;
$selsync__legend-item--margin-top: $container-spacing-default_two-thirds;
$selsync__legend-item--padding-right: 15px;
$selsync__legend-item-bp-s--padding-right: $container-spacing-default__third;
$selsync__legend-item-label--margin-left: $container-spacing-default__third/2;
$selsync__legend-item-label--margin-right: $container-spacing-default__third;
$selsync__legend-checkbox--padding-left: $container-spacing-default__third;
$selsync__legend-checkbox-selected--bg-color: $blue__default;
$selsync__legend-checkbox-selected--border-color: $blue__default;

$selsync__footer-content--padding-x: $selsync__tree--padding-left;
$selsync__footer-content-right--width: 190px;
$selsync__footer-content-left--max-width: calc(100% - #{$selsync__footer-content-right--width});
$selsync__footer-content-left-bp-s--height: 50px;
$selsync__footer-content-left-bp-s--margin-top: $container-spacing-default__third;
$selsync__footer-wrapper--padding-bottom: $container-spacing-default__third;

$selsync__navigation-bar--padding-top: 5px;
